Flutter SDK

Flutter SDK

πŸ”§ Installation

Bugbattle for Flutter is distributed through pub.dev.

Add the Bugbattle SDK to your package's pubspec.yaml file:

dependencies:
bugbattle_sdk: ^5.0.0

Install the SDK by running the following command from your project's root folder:

flutter pub get

iOS installation

Navigate to your iOS project folder within the terminal and update your cocoapods by running:

$ pod install

Android installation

Android should be already good to go. If theres a version conflict pls add the following to your android manifest:

<manifest ... xmlns:tools="http://schemas.android.com/tools">
<uses-sdk android:minSdkVersion="16"
tools:overrideLibrary="com.example.bugbattle_sdk"/>
<application .... tools:overrideLibrary="com.example.bugbattle_sdk">
...

The BugBattle SDK is now almost installed successfully. Let's carry on with the initialization πŸŽ‰

πŸ‘·β€β™‚οΈ Initialize & configure the SDK

Open your preferred editor and add the following import.

import 'package:BugbattleSDK/BugbattleSDK.dart';

Add the auto configure method to your main activity's onCreate method.

BugBattle.autoConfigure('YOUR_API_KEY');

You are all set now! Run the app and report your first bug πŸŽ‰.

Get your API here.

🀝 Need help?

We are here to help! [email protected]​

​